1. Herzlich willkommen bei WPDE.org, dem grössten und ältesten deutschsprachigen Community-Forum rund um das Thema WordPress. Du musst angemeldet oder registriert sein, um Beiträge verfassen zu können.
    Information ausblenden

WP <5.0 Mit PHP >7.0 Fehler 500 beim Login

Dieses Thema im Forum "Konfiguration" wurde erstellt von voxel, 22. September 2018.

Schlagworte:
  1. voxel

    voxel Active Member

    Registriert seit:
    15. Dezember 2016
    Beiträge:
    31
    Zustimmungen:
    0
    Moin.

    Möchte gerne meine WP 4.9.8 auf die aktuelle Basis von PHP 7.2 stellen (7.0 wird sicher nicht mehr ewig unterstützt), aber jedes Mal, wenn ich das bei Strato so einstelle, bekomme ich nach dem Login einen Error 500. Dasselbe passiert auch bei 7.1.
    Wenn ich mich recht entsinne, war seinerzeit beim Upgrade auf 7.0 noch kein solcher Fehler aufgetreten.

    Die Login Seite selbst erscheint, aber danach kommt der Fehler. Die Seiten selber funktionieren, ich komme nur nicht mehr ins Backend.

    Wo muss/kann/sollte ich ansetzen?? Danke für Eure Hinweise! (Bin kein Profi, daher bitte einfach beschreiben. ;) )
     
  2. b3317133

    b3317133 Well-Known Member

    Registriert seit:
    21. November 2014
    Beiträge:
    9.454
    Zustimmungen:
    1.218
    Was steht im Error-Log des Servers? Das Error Log bei Strato befindet sich üblicherweise unter Datenbanken & Webspace -> Statistik -> Logfiles (oben) -> Error-Logfile anzeigen (Button)
     
    FloRet gefällt das.
  3. FloRet

    FloRet Well-Known Member

    Registriert seit:
    20. September 2016
    Beiträge:
    1.197
    Zustimmungen:
    90
    Hallo,

    Wahrscheinlich eine Inkompatibilität eines Themes / Plugins. Nähere Infos findest Du, wie @b3317133 beschrieben, im error.log!

    LG
     
  4. voxel

    voxel Active Member

    Registriert seit:
    15. Dezember 2016
    Beiträge:
    31
    Zustimmungen:
    0
    Ich hätte da einen PHP Fatal Error anzubieten:

    PHP Fatal error: Uncaught Error: [] operator not supported for strings in /mnt/web411/a3/33/51396733/htdocs/Wordpress_01/wp-content/plugins/slider-revolution/includes/framework/base-admin.class.php:69

    Kommt mit der Uhrzeit etwa hin...

    Allerdings sollte nach meinem technischen Verständnis bei einem Problem mit diesem Plugin (für die Startseite) die Homepage selbst nicht mehr richtig laufen, das tut sie aber??!
     
    #4 voxel, 23. September 2018
    Zuletzt bearbeitet: 23. September 2018
  5. b3317133

    b3317133 Well-Known Member

    Registriert seit:
    21. November 2014
    Beiträge:
    9.454
    Zustimmungen:
    1.218
    Deine Version des Revolution Sliders ist nicht kompatibel zu PHP 7.1, stelle die PHP Version bei Strato zurück auf 7.0.x oder 5.6.x, dann kannst Du Dich wieder anmelden. Wende Dich dann an den Support bzw. die Quelle woher Du das Revolution Sliders Plugin hast und lass Dir ein Update geben.
     
    FloRet gefällt das.
  6. voxel

    voxel Active Member

    Registriert seit:
    15. Dezember 2016
    Beiträge:
    31
    Zustimmungen:
    0
    Okay, das versuche ich dann mal....
     
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden